Subject: bug#13883: Emacs pretests: configure --enable-LTO means can't find X

From: Glenn Morris <[email-masked]>
Date: Tue, 05 Mar 2013 17:47:23 -0500

You don't need to be subscribed to report an Emacs bug.
Just mail [email-masked].
I forwarded your report as http://debbugs.gnu.org/13883 .
Please reply-to-all with config.log as a (compressed) attachment.

From: David Crick <dacrick <at> gmail.com>
Subject: Emacs pretests: configure --enable-LTO means can't find X

Apologies for sending this direct, but am not on the emacs
mailing list.

It's not a show-stopper since I have -flto in my CFLAGS
anyway (which is all configure does: add -flto to CFLAGS),
but clearly something's screwy so I thought I'd report it.

It happens in both the RC1 and also 24.2.93.1 before it.
(Don't know about anything before that since I never tried
pretest build before .93)

Full report:

if I run ./configure --enable-link-time-optimization it stops
with the following (incorrect) error:

[...]
checking for X... no
checking for X... true
configure: error: You seem to be running X, but no X development libraries
were found.  You should install the relevant development files for X
and for the toolkit you want, such as Gtk+, Lesstif or Motif.  Also
make sure you have development files for image handling, i.e.
tiff, gif, jpeg, png and xpm.
If you are sure you want Emacs compiled without X window support, pass
  --without-x
to configure.

whereas if I just do ./configure it progresses fine:

[...]
checking for X... libraries , headers
[...]

Thanks.

  David.